﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace _322688_TreeViewExample.ViewModels
{
	public class MainViewModel : ViewModelBase
	{
		public MainViewModel()
		{
			Items = new ObservableCollection<DataItem>();

			for (int i = 0; i < 5; i++)
			{
				DataItem item = new DataItem() { Header = String.Format("Item {0}",i)};
				for (int j = 0; j < 5; j++)
				{
					item.Children.Add(new DataItem() { Header = String.Format("Item {0}.{1}",i,j)});
				}
				Items.Add(item);
			}

			this.SelectedItem = Items[1];
		}
		public ObservableCollection<DataItem> Items { get; set; }

		
		private DataItem selectedItem;
		/// <summary>
		///     Gets or sets the selected item.
		/// </summary>
		public DataItem SelectedItem
		{
			get
			{
				return this.selectedItem;
			}
			set
			{
				if (this.selectedItem != value)
				{
					this.selectedItem = value;
					OnPropertyChanged("SelectedItem");
				}
			}
		}
        
	}
}
